Name:          xsom
Version:       20110809
Release:       1
Summary:       XML Schema Object Model (XSOM)
Group:         Development/Libraries
License:       CDDL and GPL
URL:           http://xsom.java.net/

# svn export https://svn.java.net/svn/xsom~sources/tags/xsom-20110809
# find xsom-20110809/ -name '*.class' -delete
# find xsom-20110809/ -name '*.class' -delete
# tar czf xsom-20110809.tar.gz xsom-20110809
Source0:       xsom-%{version}.tar.gz
Patch0:        xsom-%{version}-pom.patch

BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: relaxngDatatype
BuildRequires: relaxngcc
BuildRequires: sonatype-oss-parent
BuildRequires: forge-parent

Requires:      jpackage-utils
Requires:      relaxngDatatype
BuildArch:     noarch

%description
XML Schema Object Model (XSOM) is a Java library that
allows applications to easily parse XML Schema documents
and inspect information in them. It is expected to be useful
for applications that need to take XML Schema as an input.
The library is a straight-forward implement of
"schema components" as defined in the XML Schema spec part 1.
Refer to this specification of how this object model works. 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
XML Schema Object Model (XSOM).

This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1

pushd lib
  ln -sf $(build-classpath relaxngcc) relaxngcc.jar
popd

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
cp -p target/xsom-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/xsom.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}
